Lably
Skip to content

Pretty Good Privacy

Data encryption and authentication program

  • 13 min read
  • 4 chapters

Related on Lably

Through Privacy, Data communication and Digital signature

The PGP software follows the OpenPGP standard in the now historical version RFC 4880. The software has not been kept up to date with developments in OpenPGP standardization. While the product is still being sold, its development appears to have stalled sometime around 2010: The current user's guide of "PGP Encryption Desktop for Windows" only mentions RSA and Diffie-Hellman key material, and lacks any mention of ECC cryptography (which has been introduced to OpenPGP in 2012 by RFC 6637). The product also has no support for the updated formats in RFC 9580, 9980.

Modern versions of PGP are interoperable with GnuPG and other OpenPGP-compliant systems, when using cryptographic algorithms that both sides of a communication can handle. This algorithmic intersection has been shrinking with time.

Design

Most aspects of PGP design apply more broadly to OpenPGP and are described at OpenPGP § Design.

Sign in to keep reading

3 more chapters are free with a Lably account.

More in Computing and communication